Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyMemberDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

- All Implemented Interfaces and Traits:
    GroovyMemberDoc

      public class SimpleGroovyMemberDoc
      extends SimpleGroovyAbstractableElementDoc
      implements GroovyMemberDoc

  Base implementation for documented members declared within a class.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyClassDoc` | `belongsToClass` | The class that declares this member.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)` Creates a member owned by the supplied class.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `commentText()` * Returns the processed comment text for this element. * * Returns: the rendered comment text
    `` | `public String` | `firstSentenceCommentText()` * Returns the first sentence of the processed comment text. * * Returns: the first sentence summary
    `` | `public boolean` | `isSynthetic()` * Indicates whether this member was synthesized rather than declared directly in source. * * Returns: `true` if this member is synthetic

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyAbstractableElementDoc` | `isAbstract, setAbstract`
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Field Detail

    - #### protected GroovyClassDoc belongsToClass

      The class that declares this member.

  - ### Constructor Detail

    - #### public SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)

      Creates a member owned by the supplied class.

      Parameters:
        `name` - the member name
        `belongsToClass` - the declaring class

  - ### Method Detail

    - #### public String commentText()

      * Returns the processed comment text for this element. * *

      Returns:
        the rendered comment text

    - #### public String firstSentenceCommentText()

      * Returns the first sentence of the processed comment text. * *

      Returns:
        the first sentence summary

    - #### public boolean isSynthetic()

      * Indicates whether this member was synthesized rather than declared directly in source. * *

      Returns:
        `true` if this member is synthetic